import { Story, Canvas, Meta, Description } from "@storybook/addon-docs/blocks";
import { withKnobs, text, array } from "@storybook/addon-knobs";
import { html } from "lit-html";
import CATEGORIES from "../categories";
import readme from "../../dist/docs/components/tags/readme.md";

<Meta title={CATEGORIES.COMPONENTS + "Tags"} />

# Tag

<Canvas
    mdxSource={`
        <ui-tag>Tag</ui-tag>
    `}
>
    <Story
        height="30px"
        name="Tag"
        parameters={{ decorators: [withKnobs], jest: ["tag.e2e.ts"] }}
    >
        {html` <ui-tag>${text("Label", "Tag")}</ui-tag> `}
    </Story>
</Canvas>

---

# Tag List

<Canvas
    mdxSource={`
        <div class="ui-tag-list">
            <ui-tag>Tag 1</ui-tag>
            <ui-tag>Tag 2</ui-tag>
            <ui-tag>Tag 3</ui-tag>
            <ui-tag>Tag 4</ui-tag>
            <ui-tag>Tag 5</ui-tag>
        </div>
    `}
>
    <Story
        height="30px"
        name="Tag List"
        parameters={{ decorators: [withKnobs] }}
    >
        {html`
            <div class="ui-tag-list">
                ${array("Tag Labels", [
                    "Tag 1",
                    "Tag2",
                    "Tag3",
                    "Tag4",
                    "Tag5",
                ]).map((tag) => html`<ui-tag>${tag}</ui-tag>`)}
            </div>
        `}
    </Story>
</Canvas>

---

# Developer Documentation

<Description markdown={readme} />
